Bug 261801 - Review Request: xyz-gallery - CL web image gallery generator with JavaScript viewer
Review Request: xyz-gallery - CL web image gallery generator with JavaScript ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 18:05 EDT by Josef Kubin
Modified: 2016-08-14 12:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 13:57:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Josef Kubin 2007-08-28 18:05:46 EDT
Spec URL: http://www.bx.cz/px.spec
SRPM URL: http://www.bx.cz/px-0-8.noarch.rpm
Description: "px"  started  in a folder with images (gained from a digital camera) creates dot prefixed new smaller images, thumbnails, necessary files and index.html page.  After processing the content is prepared for display on a web server. Description for images can be easily created by gthumb-2.7.8-3 image viewer  (let’s try key c). After description modification don’t forget to re-run px for index.html regeneration.

A live working example is here: http://www.bx.cz
JavaScript viewer works in:
MSIE 6,7
Firefox
Opera
Konqueror
Galeon
...
Now I'm fixing several bugs - they are bearable.
Comment 1 Josef Kubin 2007-08-28 18:51:05 EDT
-it's valuable to mention that dot prefixed images don't disturb viewing of
original images with another viewer - for example "gthumb"
-for nonsupported/obsolete browsers the script is switched off but the basic
functionality of the page is preserved - try to visit offered sample page with
MSIE 5 or MSIE 5.5
-description of an image is an attribute of thumbnail tag title="My image
description", it is possible to easily change/fix it by hand without necessity
to start Perl script "px" again
-the index.html contains compressed EXIF data - when the user visits a huge
gallery it saves bandwidth - the content of the index.html is decompressed and
finished on the client side
-users can add their own additional stylesheets into index.html - the css list
will be automatically added into relevant drop-down menu
-settings of viewer is preserved by cookies
-original images are used for magnifier (buggy) - it needs good bandwidth
-if user enables "allow multiple instances" in "Viewer settings" the number of
images is only limited by available memory on client computer - z-index works
flawlessly, it works as stack, last clicked image is on the top of stack
-for additional information please read embedded manual page
Comment 2 Lubomir Kundrak 2007-08-31 10:20:50 EDT
I'll review this on Monday.
Comment 3 Lubomir Kundrak 2007-08-31 10:35:52 EDT
* http://www.bx.cz/px-0-8.noarch.rpm is a built package, please include the src.rpm.
* Release: 8 -- please change this to 8%{?dist}, as described in [1]
* Source: %{name}.tar.gz -- it would be great if the source code tarball name
contained the version. Even better if it you made it available for download
somewhere in Internet (people.redhat.com?)
* BuildRoot: %{_tmppath}/build-root-%{name} -- The standard build root form is
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* Packager: Josef Kubin <jkubin redhat com> -- This tag is obsolete, as usually
multiple people work on a package. The authoritative source where to look for
the names of people that worked on a package is the ChangeLog
* License: GPL -- This is no longer acceptable. Please use specific version,
such as GPLv3 or GPLv2+. See the Licensing FAQ [2]
* Prefix: %{_datadir}/px -- please note that making relocatable packages is
discouraged. See paragraph "Relocatable packages" in the Guidelines [1]
* The changelog time stamp lines should end with complete version-release pair,
e.g. 0-1, 0-2, 0-3 in your case. Each changelog entry should correspond to a
revision.

[1] http://fedoraproject.org/wiki/Packaging/Guidelines
[2] http://fedoraproject.org/wiki/Licensing/FAQ
Comment 4 Josef Kubin 2007-08-31 11:42:18 EDT
http://www.bx.cz/px-0-0.8.a.src.rpm
Comment 5 Lubomir Kundrak 2007-08-31 16:27:09 EDT
$ px
Use of uninitialized value in substitution (s///) at /usr/bin/px line 161.
Use of uninitialized value in substitution (s///) at /usr/bin/px line 162.
Use of uninitialized value in string ne at /usr/bin/px line 285.
Use of uninitialized value in concatenation (.) or string at /usr/bin/px line 286.
Use of uninitialized value in concatenation (.) or string at /usr/bin/px line 286.
Use of uninitialized value in concatenation (.) or string at /usr/bin/px line 286.
Use of uninitialized value in concatenation (.) or string at /usr/bin/px line 286.
create data for index.html ... Use of uninitialized value in concatenation (.)
or string at /usr/bin/px line 307.
done.
$

This is expected behavior? (FC-7 on i386)
Comment 6 Lubomir Kundrak 2007-09-25 05:41:48 EDT
Josef: ping; Can you provide the updated packages?
Comment 7 Josef Kubin 2007-10-11 22:52:47 EDT
Sorry for delay ...
Some bugs has been fixed, package is available here: http://bx.cz/px-0-9.src.rpm
Comment 8 Lubomir Kundrak 2007-10-12 06:42:30 EDT
Josef -- you still didn't fix some of what did I mention in comment #3, namely:

(In reply to comment #3)
> * Source: %{name}.tar.gz -- it would be great if the source code tarball name
> contained the version. Even better if it you made it available for download
> somewhere in Internet (people.redhat.com?)

As far as I know you are the upstream of the package -- it shouldn't be hard for
you to do the change.

> * Prefix: %{_datadir}/px -- please note that making relocatable packages is
> discouraged. See paragraph "Relocatable packages" in the Guidelines [1]

Either clarify why do you need a relocatable package or remove this.

> * The changelog time stamp lines should end with complete version-release pair,
> e.g. 0-1, 0-2, 0-3 in your case. Each changelog entry should correspond to a
> revision.

Your package's version is 0, not 0.0. It would be great if you chose some sane
versioning scheme and mentioned the version in the source tarball name. I see
you changed the tarball without changing name -- please never do that.

Apart from that I found another problem:

 33 %files
...
 38 %{prefix}

Please don't do this -- enumerate just the files and directories your package
creates and owns. You can even use wildcards.
Comment 9 Lubomir Kundrak 2007-12-18 17:39:31 EST
Ping. What's the progress?
Comment 10 Josef Kubin 2008-01-02 07:42:26 EST
Now I'm extremely busy, I have hardly time to sleep ...
Be patient please, as soon as I find a free weekend I'll fix remaining bugs.
Comment 12 Josef Kubin 2008-03-11 12:06:20 EDT
The Image gallery generator has been renamed to xyz-gallery because of name
conflict with an existing image editor.

First release is available:
http://people.redhat.com/jkubin/xyz/xyz-gallery.spec
http://people.redhat.com/jkubin/xyz/xyz-gallery-0.1-1.src.rpm
Comment 13 Lubomir Kundrak 2008-03-11 12:14:10 EDT
All outstanding issues were adressed. Package is liked by me, the qa script and
rpmlint.

APPROVED
Comment 14 Josef Kubin 2008-03-11 12:20:15 EDT
New Package CVS Request
=======================
Package Name: xyz-gallery
Short Description: a web gallery image generator with embedded JavaScript viewer
Owners: jkubin
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 15 Kevin Fenzi 2008-03-12 13:16:32 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.